summaryrefslogtreecommitdiff
path: root/qa/991
diff options
context:
space:
mode:
Diffstat (limited to 'qa/991')
-rwxr-xr-xqa/99147
1 files changed, 47 insertions, 0 deletions
diff --git a/qa/991 b/qa/991
new file mode 100755
index 0000000..10315d8
--- /dev/null
+++ b/qa/991
@@ -0,0 +1,47 @@
+#!/bin/sh
+# PCP QA Test No. 991
+# Exercise the pcp-free(1) command using an archive
+#
+# Copyright (c) 2014 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+. ./common.python
+
+status=1 # failure is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
+
+archive="-a $here/src/pcp-free -z"
+archive_first="$archive -O +1"
+archive_last="$archive -O -0"
+
+# real QA test starts here
+echo && echo === free output, at first sample
+pcp $archive_first free
+
+echo && echo === free output, at last sample
+pcp $archive_last free
+
+echo && echo === free output, bytes
+pcp $archive_first free -b
+
+echo && echo === free output, megabytes
+pcp $archive_first free -m
+
+echo && echo === free output, gigabytes
+pcp $archive_first free -g
+
+echo && echo === free output, totals + in megabytes
+pcp $archive_first free -t -m
+
+echo && echo === free output, compat + low/high detail
+pcp $archive_first free -o -l
+
+echo && echo === free output, multiple samples
+pcp $archive_first free -c 2 -s 2.5
+
+status=0
+exit